import { React, useState, useEffect, } from 'react'
// .就是当前路径
import iconsearch from '../../assets/icons/housemantj/search.png'
import msImage from '../../assets/icons/housemantj/ms.jpg'
import mjImage from '../../assets/icons/housemantj/mj.jpg'
import glImage from '../../assets/icons/housemantj/gl.jpg'
import msTip from '../../assets/icons/housemantj/foodtip.png'
import mjTip from '../../assets/icons/housemantj/mjtip.png'
import glTip from '../../assets/icons/housemantj/gltip.png'
import onlove from '../../assets/icons/housemantj/onlove.png'
import CustomNav from '@/components/CustomNav'
import Taro from '@tarojs/taro'
import Card from '../index/components/Card'

import './searchResult.less'
import withLayout from '@/layouts'



export default withLayout((props) => {
  const { router, person,location } = props
  const { q} = props.router.params

console.log(location,q)
  // 横向tab
  const [activeTab, setActiveTab] = useState(0)
  const [queryParams, setQueryParams] = useState({q:q, location: location, pageNum: 1, pageSize: 10, typeId: '' })

  // 获取资源表信息
  const [alllist, setAllList] = useState([])
  const tabs = [
    {
      title: '全部',
    },
    {
      title: '美食',
    },
    {
      title: '景点',
    },
  ]
  const handleTabChange = (e) => {
    const { index } = e.detail
    setActiveTab(index)
    if (index == 0) {
      setQueryParams({q:q, location: location, pageNum: 1, pageSize: 10, typeId: '' })
    }
    // else if(index==1){}
    // else{}
  }



  const onSearch = () => {
    // 用绝对路径
    Taro.navigateTo({ url: '/pages/search/search' });
  }

  useEffect(() => {
    getResourceList(queryParams).then((res) => {
      setAllList(res.records || [])
    })
  }, [queryParams])



  return (
    <view className='page-index'>
      <view className='index-navbar'>
        <CustomNav title='搜索' />
      </view>
      <view style={{ height: '100%', overflow: 'auto' }}>
        <view className='search'>
          <input className='searchInput' placeholder='请输入景区/城市搜索' disabled onClick={onSearch} />
          <image className='searchicon' src={iconsearch} />
          <view className='lineSearch'></view>
        </view><view className='index-tabs'>
          <mp-tabs
            tabClass='tabs-Unselected'
            swiperClass='tabs-swiper'
            activeClass='tabs-Selected'
            tabs={tabs}
            current={activeTab}
            onChange={handleTabChange}
            activeTab={activeTab}
          >
          </mp-tabs>
        </view>

        <scroll-view scroll-y="true" scroll-view='true' bindscrolltoupper="upper" bindscrolltolower="lower" bindscroll="scroll" >
          <view className="waterfall">
            {
              alllist?.map((item) => <Card key={item.resourceNo} item={item} />)
            }
          </view>
          <view className='botton'>已经到底了~</view>
        </scroll-view>
      </view>
    </view>
  )
})
